const { createCanvas, loadImage } = require('canvas');
const fs = require('fs');

module.exports = async(code, activations, money) => {
        // загружаем изображение фона
        const background = await loadImage('./media/imageDefault3.png');
        
        // создаем новый canvas
        const canvas = createCanvas(background.width, background.height);
        const ctx = canvas.getContext('2d');
        
        // рисуем фоновое изображение
        ctx.drawImage(background, 0, 0);
        
        // выводим текст на картинку
        ctx.font = 'bold 30px Srbija Sans';
        ctx.fillStyle = '#232323';
        ctx.textAlign = 'center';
        ctx.fillText(`${code}`, canvas.width/2, canvas.height/1.90);
        
        // сохраняем картинку в файл
        const out = fs.createWriteStream('./media/image.png');
        const stream = canvas.createPNGStream();
        stream.pipe(out);
        
        // возвращаем путь к сгенерированной картинке
        return './media/image.png';
}